## org.jvnet.hudson.reactor
Interface TaskGraphBuilder.Handle

All Superinterfaces:
  Milestone

Enclosing class:
  TaskGraphBuilder

    public static interface TaskGraphBuilder.Handle

extends Milestone

Handle to the task. Call methods on this interface to set up dependencies among tasks.

This interface is the fluent interface pattern, and all the methods return `this` to enable chaining.

Method Summary
`Task` `asTask()` Returns the task that this handle represents.
`TaskGraphBuilder.Handle` `attains(java.util.Collection<? extends Milestone> m)`
`TaskGraphBuilder.Handle` `attains(Milestone m)` Designates that the execution of this task contributes to the given milestone.
`Task` `notFatal()` Marks this task as non-fatal.
`TaskGraphBuilder.Handle` `requires(java.util.Collection<? extends Milestone> m)`
`TaskGraphBuilder.Handle` `requires(Milestone... m)` Adds pre-requisites to this task.
`TaskGraphBuilder.Handle` `requires(Milestone m)` Adds a pre-requisite to this task.

Method Detail

### requires

    TaskGraphBuilder.Handle requires(Milestone m)

  Adds a pre-requisite to this task.

### requires

    TaskGraphBuilder.Handle requires(Milestone... m)

  Adds pre-requisites to this task.

### requires

    TaskGraphBuilder.Handle requires(java.util.Collection<? extends Milestone> m)

### attains

    TaskGraphBuilder.Handle attains(Milestone m)

  Designates that the execution of this task contributes to the given milestone.

### attains

    TaskGraphBuilder.Handle attains(java.util.Collection<? extends Milestone> m)

### asTask

    Task asTask()

  Returns the task that this handle represents.

### notFatal

    Task notFatal()

  Marks this task as non-fatal. See `Task.failureIsFatal()`.

Copyright © 2011. All Rights Reserved.